unit Unit1;

interface

uses
  Windows, Forms, Registry, Buttons, StdCtrls, ShellAPI, jpeg, ExtCtrls, Dialogs, Classes,
  Graphics, Controls, SysUtils;

type
  TForm1 = class(TForm)
    SpeedButton1: TSpeedButton;
    Label1: TLabel;
    Label2: TLabel;
    OpenDialog1: TOpenDialog;
    Image1: TImage;
    Label3: TLabel;
    SpeedButton2: TSpeedButton;
    Label4: TLabel;
    procedure SetWriteString(SelectRootKey: HKEY; SelectKey: string; NewValueName: string; Value: integer);
    function GetDeleteValue(SelectRootKey: HKEY; SelectKey: string; Key: string): Boolean;
    procedure SpeedButton1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.SetWriteString(SelectRootKey: HKEY; SelectKey: string; NewValueName: string; Value: integer);
begin
  with TRegistry.Create do
    begin
      try
        RootKey := SelectRootKey;
        OpenKey(SelectKey, True);
        Writeinteger(NewValueName, Value);
      finally
       Free;
      end;
    end;
end;

function TForm1.GetDeleteValue(SelectRootKey: HKEY; SelectKey: string; Key: string): Boolean;
begin
  with TRegistry.Create do
    begin
      try
        RootKey := SelectRootKey;
        OpenKey(SelectKey, False);
        Result := DeleteValue(Key);
      finally
       Free;
      end;
    end;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  // Cl : HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer
  // Type : REG_SZ => (NoClose)
  // Insert une image d'arrire plan dans la barre d'outils.
  SetWriteString(HKEY_CURRENT_USER, 'Software\Microsoft\Windows\CurrentVersion\Policies\Explorer', 'NoClose', 1);
  MessageDlg('Votre configuration  t modifie avec succs !'#13'Votre ordinateur doit tre redmarrer !', mtinformation, [mbOk], 0);
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
 shellexecute(0,'open', 'http://www.dev-zone.com', nil, nil, SW_SHOWMAXIMIZED	);
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  // Efface les valeurs
  GetDeleteValue(HKEY_CURRENT_USER, 'Software\Microsoft\Windows\CurrentVersion\Policies\Explorer', 'NoClose');
  MessageDlg('Votre configuration d''origine a t rtablie avec succs !'#13'Votre ordinateur doit tre redmarrer !', mtinformation, [mbOk], 0)
end;
end.
